#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-2kDeuSRuv7N29Yby9VS43q
key:                  structured-0.1.1-2kDeuSRuv7N29Yby9VS43q
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  53329777e4376c691dca8d369810987b
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-2kDeuSRuv7N29Yby9VS43q
depends:
    aeson-2.1.2.1-I7kwiql1VX4L0x9J1C4lDU array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    scientific-0.3.7.0-WH9SJ5zQMb5m3f0O1VdGX
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH text-1.2.5.0
    time-compat-1.9.6.1-GYUKNEE0D1Q1P0sbtFdwpy transformers-0.5.6.2
    unordered-containers-0.2.19.1-8KEpYsQ9zGXBRjdYU1dM21
    uuid-types-1.0.5.1-ABcuNi2nF7lAaDc8elCoo1
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

